Issue Details (XML | Word | Printable)

Key: PCC-436
Type: Bug Bug
Status: Closed Closed
Resolution: Won't Fix
Priority: Major Major
Assignee: Unassigned
Reporter: Austin English
Votes: 0
Watchers: 0
Operations

If you were logged in you would be able to see more operations.
pcc

can't compile pcc from source on Fedora 20 / Debian jessie

Created: 28/May/14 07:26 AM   Updated: 28/May/14 08:38 AM
Component/s: None
Affects Version/s: None
Fix Version/s: None

File Attachments: 1. Text File autoconf_out.txt (3 kB)
2. Text File configure_out.txt (43 kB)

Environment:
austin@debian-home:~/pcc-cvs-20140528$ uname -a
Linux debian-home 3.13-1-686-pae #1 SMP Debian 3.13.10-1 (2014-04-15) i686 GNU/Linux

Linux localhost.localdomain 3.14.4-200.fc20.x86_64 #1 SMP Tue May 13 13:51:08 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

autoconf-2.6.9 / gcc-4.8.2 for both platforms


 Description  « Hide
Running configure fails:
head: cannot open '1.108' for reading: No such file or directory
./configure: line 2: access: command not found
./configure: line 3: symbols: command not found
./configure: line 4: r-1-0-1:1.77.2.3.0.2: command not found
./configure: line 5: r-1-0-0-RELEASE:1.77.2.3: command not found
./configure: line 6: r-1-0-0:1.77.0.2: command not found
./configure: line 7: locks: command not found
./configure: line 7: strict: command not found
./configure: line 8: comment: command not found
./configure: line 11: 1.108: command not found
date: invalid date '2014.04.30.16.36.31'
... (attached as configure_out.txt)

running autoconf to regenerate it also fails:
configure.ac:1281: warning: AC_DEFINE: not an identifier:
configure.ac:1486: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:193: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2590: _AC_COMPILE_IFELSE is expanded from...
../../lib/autoconf/general.m4:2606: AC_COMPILE_IFELSE is expanded from...
configure.ac:1486: the top level
configure.ac:1500: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:193: AC_LANG_CONFTEST is expanded from...
configure.ac:1500: the top level
configure.ac:1520: warning: AC_CACHE_VAL(ac_have_c99_format, ...): suspicious cache-id, must contain _cv_ to be cached
../../lib/autoconf/general.m4:2031: AC_CACHE_VAL is expanded from...
../../lib/autoconf/general.m4:2052: AC_CACHE_CHECK is expanded from...
configure.ac:1520: the top level
configure.ac:1520: warning: AC_CACHE_VAL(ac_have_variadic, ...): suspicious cache-id, must contain _cv_ to be cached
../../lib/autoconf/general.m4:2031: AC_CACHE_VAL is expanded from...
../../lib/autoconf/general.m4:2052: AC_CACHE_CHECK is expanded from...
../../lib/m4sugar/m4sh.m4:639: AS_IF is expanded from...
../../lib/autoconf/general.m4:2031: AC_CACHE_VAL is expanded from...
../../lib/autoconf/general.m4:2052: AC_CACHE_CHECK is expanded from...
configure.ac:1520: the top level

... (attached as autoconf_out.txt)


 All   Comments   Change History      Sort Order: Ascending order - Click to sort in descending order
Austin English added a comment - 28/May/14 07:30 AM
Actually, this is a dupe of bug PCC-435 (I can't seem to mark it as such). The tarball is corrupted, cloning from cvs does not have this issue.

Anders Magnusson added a comment - 28/May/14 08:38 AM
The cvs revision files are not supposed to be compilable. Please fetch pcc-20140528.tgz instead.